## lapack 3.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(LAPACK Fortran)
if (UNIX)
   if ( "${CMAKE_Fortran_COMPILER}" MATCHES "ifort" )
  set( CMAKE_Fortran_FLAGS "${CMAKE_Fortran_FLAGS} -fltconsistency -fp_port" )
   endif ()
endif ()

macro(lapack_install_library lib)
  install(TARGETS ${lib} EXPORT lapack-targets
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
    )
endmacro()

# --------------------------------------------------
# Testing

enable_testing()
include(CTest)
enable_testing()
# --------------------------------------------------

set(CMAKE_MODULE_PATH ${LAPACK_SOURCE_DIR} ${CMAKE_MODULE_PATH})

# --------------------------------------------------
# Check second function

include(CheckTimeFunction)
set(TIME_FUNC NONE ${TIME_FUNC})
CHECK_TIME_FUNCTION(NONE TIME_FUNC)
CHECK_TIME_FUNCTION(INT_CPU_TIME TIME_FUNC)
CHECK_TIME_FUNCTION(EXT_ETIME TIME_FUNC)
CHECK_TIME_FUNCTION(EXT_ETIME_ TIME_FUNC)
CHECK_TIME_FUNCTION(INT_ETIME TIME_FUNC)
message(STATUS "--> Will use second_${TIME_FUNC}.f and dsecnd_${TIME_FUNC}.f as timing function.")

set(SECOND_SRC  ${LAPACK_SOURCE_DIR}/INSTALL/second_${TIME_FUNC}.f)
set(DSECOND_SRC  ${LAPACK_SOURCE_DIR}/INSTALL/dsecnd_${TIME_FUNC}.f)

# --------------------------------------------------
# Subdirectories that need to be processed

add_subdirectory(BLAS)
add_subdirectory(SRC)
add_subdirectory(TESTING)

# --------------------------------------------------
# CPACK Packaging 

SET(CPACK_PACKAGE_NAME "LAPACK")
SET(CPACK_PACKAGE_VENDOR "University of Tennessee, Univ. of California Berkeley, Univ. of Colorado Denver and NAG Ltd")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "LAPACK- Linear Algebra Package")
set(LAPACK_VERSION 3.2.2)
set(CPACK_PACKAGE_VERSION_MAJOR 3)
set(CPACK_PACKAGE_VERSION_MINOR 2)
set(CPACK_PACKAGE_VERSION_PATCH 2)
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "LAPACK")
IF(WIN32 AND NOT UNIX)
  # There is a bug in NSI that does not handle full unix paths properly. Make
  # sure there is at least one set of four (4) backlasshes.
  SET(CPACK_NSIS_HELP_LINK "http:\\\\\\\\http://icl.cs.utk.edu/lapack-forum")
  SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\www.netlib.org/lapack")
  SET(CPACK_NSIS_CONTACT "lapack@eecs.utk.edu")
  SET(CPACK_NSIS_MODIFY_PATH ON)
  SET(CPACK_NSIS_DISPLAY_NAME "LAPACK-${LAPACK_VERSION}")
  set(CPACK_PACKAGE_RELOCATABLE "true")
ELSE(WIN32 AND NOT UNIX)
  SET(CPACK_GENERATOR "TGZ")
  SET(CPACK_SOURCE_GENERATOR TGZ)
  SET(CPACK_SOURCE_PACKAGE_FILE_NAME "lapack-${LAPACK_VERSION}" )
  SET(CPACK_SOURCE_IGNORE_FILES ~$ .svn ${CPACK_SOURCE_IGNORE_FILES} )
ENDIF(WIN32 AND NOT UNIX)
INCLUDE(CPack)


# --------------------------------------------------
# By default static library
OPTION(BUILD_SHARED_LIBS "Build shared libraries" OFF )
#OPTION(BUILD_SHARED_LIBS "Build shared libraries" ON )

export(TARGETS blas lapack FILE lapack-targets.cmake)
configure_file(${LAPACK_SOURCE_DIR}/lapack-config-version.cmake.in
  ${LAPACK_BINARY_DIR}/lapack-config-version.cmake @ONLY)
configure_file(${LAPACK_SOURCE_DIR}/lapack-config.cmake.in
  ${LAPACK_BINARY_DIR}/lapack-config.cmake @ONLY)

configure_file(${LAPACK_SOURCE_DIR}/lapack-config-install.cmake.in
  ${LAPACK_BINARY_DIR}/CMakeFiles/lapack-config.cmake @ONLY)
install(FILES
  ${LAPACK_BINARY_DIR}/CMakeFiles/lapack-config.cmake
  ${LAPACK_BINARY_DIR}/lapack-config-version.cmake
  DESTINATION lib/cmake/lapack-${LAPACK_VERSION}
  )
install(EXPORT lapack-targets
  DESTINATION lib/cmake/lapack-${LAPACK_VERSION})

=== src/CMakeLists.txt ===
#######################################################################
#  This is the makefile to create a library for LAPACK.
#  The files are organized as follows:
#       ALLAUX -- Auxiliary routines called from all precisions
#       ALLXAUX -- Auxiliary routines called from all precisions but
#                  only from routines using extra precision.
#       SCLAUX -- Auxiliary routines called from both REAL and COMPLEX
#       DZLAUX -- Auxiliary routines called from both DOUBLE PRECISION
#                 and COMPLEX*16
#       SLASRC -- Single precision real LAPACK routines
#       SXLASRC -- Single precision real LAPACK routines using extra
#                  precision.
#       CLASRC -- Single precision complex LAPACK routines
#       CXLASRC -- Single precision complex LAPACK routines using extra
#                  precision.
#       DLASRC -- Double precision real LAPACK routines
#       DXLASRC -- Double precision real LAPACK routines using extra
#                  precision.
#       ZLASRC -- Double precision complex LAPACK routines
#       ZXLASRC -- Double precision complex LAPACK routines using extra
#                  precision.
#
#  The library can be set up to include routines for any combination
#  of the four precisions.  To create or add to the library, enter make
#  followed by one or more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The library is called
#       lapack.a
#  and is created at the next higher directory level.
#
#  To remove the object files after the library is created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#  ***Note***
#  The functions lsame, second, dsecnd, slamch, and dlamch may have
#  to be installed before compiling the library.  Refer to the
#  installation guide, LAPACK Working Note 41, for instructions.
#
#######################################################################

set(ALLAUX  ilaenv.f ieeeck.f lsamen.f  iparmq.f	
    ilaprec.f ilatrans.f ilauplo.f iladiag.f chla_transtype.f 
    ../INSTALL/ilaver.f ../INSTALL/lsame.f xerbla.f xerbla_array.f
    ../INSTALL/slamch.f)

set(ALLXAUX )

set(SCLAUX  
   sbdsdc.f 
   sbdsqr.f sdisna.f slabad.f slacpy.f sladiv.f slae2.f  slaebz.f 
   slaed0.f slaed1.f slaed2.f slaed3.f slaed4.f slaed5.f slaed6.f 
   slaed7.f slaed8.f slaed9.f slaeda.f slaev2.f slagtf.f 
   slagts.f slamrg.f slanst.f 
   slapy2.f slapy3.f slarnv.f 
   slarra.f slarrb.f slarrc.f slarrd.f slarre.f slarrf.f slarrj.f 
   slarrk.f slarrr.f slaneg.f 
   slartg.f slaruv.f slas2.f  slascl.f 
   slasd0.f slasd1.f slasd2.f slasd3.f slasd4.f slasd5.f slasd6.f 
   slasd7.f slasd8.f slasda.f slasdq.f slasdt.f 
   slaset.f slasq1.f slasq2.f slasq3.f slasq4.f slasq5.f slasq6.f 
   slasr.f  slasrt.f slassq.f slasv2.f spttrf.f sstebz.f sstedc.f 
   ssteqr.f ssterf.f slaisnan.f sisnan.f 
   slartgp.f slartgs.f 
   ${SECOND_SRC})

set(DZLAUX  
   dbdsdc.f 
   dbdsqr.f ddisna.f dlabad.f dlacpy.f dladiv.f dlae2.f  dlaebz.f 
   dlaed0.f dlaed1.f dlaed2.f dlaed3.f dlaed4.f dlaed5.f dlaed6.f 
   dlaed7.f dlaed8.f dlaed9.f dlaeda.f dlaev2.f dlagtf.f 
   dlagts.f dlamrg.f dlanst.f 
   dlapy2.f dlapy3.f dlarnv.f 
   dlarra.f dlarrb.f dlarrc.f dlarrd.f dlarre.f dlarrf.f dlarrj.f 
   dlarrk.f dlarrr.f dlaneg.f 
   dlartg.f dlaruv.f dlas2.f  dlascl.f 
   dlasd0.f dlasd1.f dlasd2.f dlasd3.f dlasd4.f dlasd5.f dlasd6.f 
   dlasd7.f dlasd8.f dlasda.f dlasdq.f dlasdt.f 
   dlaset.f dlasq1.f dlasq2.f dlasq3.f dlasq4.f dlasq5.f dlasq6.f 
   dlasr.f  dlasrt.f dlassq.f dlasv2.f dpttrf.f dstebz.f dstedc.f 
   dsteqr.f dsterf.f dlaisnan.f disnan.f 
   dlartgp.f dlartgs.f
   ../INSTALL/dlamch.f ${DSECOND_SRC})

set(SLASRC  
   sgbbrd.f sgbcon.f sgbequ.f sgbrfs.f sgbsv.f  
   sgbsvx.f sgbtf2.f sgbtrf.f sgbtrs.f sgebak.f sgebal.f sgebd2.f 
   sgebrd.f sgecon.f sgeequ.f sgees.f  sgeesx.f sgeev.f  sgeevx.f 
   sgegs.f  sgegv.f  sgehd2.f sgehrd.f sgelq2.f sgelqf.f 
   sgels.f  sgelsd.f sgelss.f sgelsx.f sgelsy.f sgeql2.f sgeqlf.f 
   sgeqp3.f sgeqpf.f sgeqr2.f sgeqr2p.f sgeqrf.f sgeqrfp.f sgerfs.f sgerq2.f sgerqf.f 
   sgesc2.f sgesdd.f sgesv.f  sgesvd.f sgesvx.f sgetc2.f sgetf2.f 
   sgetrf.f sgetri.f 
   sgetrs.f sggbak.f sggbal.f sgges.f  sggesx.f sggev.f  sggevx.f 
   sggglm.f sgghrd.f sgglse.f sggqrf.f 
   sggrqf.f sggsvd.f sggsvp.f sgtcon.f sgtrfs.f sgtsv.f  
   sgtsvx.f sgttrf.f sgttrs.f sgtts2.f shgeqz.f 
   shsein.f shseqr.f slabrd.f slacon.f slacn2.f 
   slaein.f slaexc.f slag2.f  slags2.f slagtm.f slagv2.f slahqr.f 
   slahrd.f slahr2.f slaic1.f slaln2.f slals0.f slalsa.f slalsd.f 
   slangb.f slange.f slangt.f slanhs.f slansb.f slansp.f 
   slansy.f slantb.f slantp.f slantr.f slanv2.f 
   slapll.f slapmt.f 
   slaqgb.f slaqge.f slaqp2.f slaqps.f slaqsb.f slaqsp.f slaqsy.f 
   slaqr0.f slaqr1.f slaqr2.f slaqr3.f slaqr4.f slaqr5.f 
   slaqtr.f slar1v.f slar2v.f ilaslr.f ilaslc.f 
   slarf.f  slarfb.f slarfg.f slarfgp.f slarft.f slarfx.f slargv.f 
   slarrv.f slartv.f 
   slarz.f  slarzb.f slarzt.f slaswp.f slasy2.f slasyf.f 
   slatbs.f slatdf.f slatps.f slatrd.f slatrs.f slatrz.f slatzm.f 
   slauu2.f slauum.f sopgtr.f sopmtr.f sorg2l.f sorg2r.f 
   sorgbr.f sorghr.f sorgl2.f sorglq.f sorgql.f sorgqr.f sorgr2.f 
   sorgrq.f sorgtr.f sorm2l.f sorm2r.f 
   sormbr.f sormhr.f sorml2.f sormlq.f sormql.f sormqr.f sormr2.f 
   sormr3.f sormrq.f sormrz.f sormtr.f spbcon.f spbequ.f spbrfs.f 
   spbstf.f spbsv.f  spbsvx.f 
   spbtf2.f spbtrf.f spbtrs.f spocon.f spoequ.f sporfs.f sposv.f  
   sposvx.f spotf2.f spotrf.f spotri.f spotrs.f spstrf.f spstf2.f 
   sppcon.f sppequ.f 
   spprfs.f sppsv.f  sppsvx.f spptrf.f spptri.f spptrs.f sptcon.f 
   spteqr.f sptrfs.f sptsv.f  sptsvx.f spttrs.f sptts2.f srscl.f  
   ssbev.f  ssbevd.f ssbevx.f ssbgst.f ssbgv.f  ssbgvd.f ssbgvx.f 
   ssbtrd.f sspcon.f sspev.f  sspevd.f sspevx.f sspgst.f 
   sspgv.f  sspgvd.f sspgvx.f ssprfs.f sspsv.f  sspsvx.f ssptrd.f 
   ssptrf.f ssptri.f ssptrs.f sstegr.f sstein.f sstev.f  sstevd.f sstevr.f 
   sstevx.f ssycon.f ssyev.f  ssyevd.f ssyevr.f ssyevx.f ssygs2.f 
   ssygst.f ssygv.f  ssygvd.f ssygvx.f ssyrfs.f ssysv.f  ssysvx.f 
   ssytd2.f ssytf2.f ssytrd.f ssytrf.f ssytri.f ssytri2.f ssytri2x.f
   ssyswapr.f ssytrs.f ssytrs2.f ssyconv.f stbcon.f 
   stbrfs.f stbtrs.f stgevc.f stgex2.f stgexc.f stgsen.f 
   stgsja.f stgsna.f stgsy2.f stgsyl.f stpcon.f stprfs.f stptri.f 
   stptrs.f 
   strcon.f strevc.f strexc.f strrfs.f strsen.f strsna.f strsyl.f 
   strti2.f strtri.f strtrs.f stzrqf.f stzrzf.f sstemr.f 
   slansf.f spftrf.f spftri.f spftrs.f ssfrk.f stfsm.f stftri.f stfttp.f 
   stfttr.f stpttf.f stpttr.f strttf.f strttp.f 
   sgejsv.f  sgesvj.f  sgsvj0.f  sgsvj1.f 
   sgeequb.f ssyequb.f spoequb.f sgbequb.f
   sbbcsd.f slapmr.f sorbdb.f sorcsd.f )

set(DSLASRC spotrs.f sgetrs.f spotrf.f sgetrf.f) 

set(SXLASRC  sgesvxx.f sgerfsx.f sla_gerfsx_extended.f sla_geamv.f		
   sla_gercond.f sla_rpvgrw.f ssysvxx.f ssyrfsx.f			
   sla_syrfsx_extended.f sla_syamv.f sla_syrcond.f sla_syrpvgrw.f	
   sposvxx.f sporfsx.f sla_porfsx_extended.f sla_porcond.f		
   sla_porpvgrw.f sgbsvxx.f sgbrfsx.f sla_gbrfsx_extended.f		
   sla_gbamv.f sla_gbrcond.f sla_gbrpvgrw.f sla_lin_berr.f slarscl2.f	
   slascl2.f sla_wwaddw.f)

set(CLASRC 
   cbdsqr.f cgbbrd.f cgbcon.f cgbequ.f cgbrfs.f cgbsv.f  cgbsvx.f 
   cgbtf2.f cgbtrf.f cgbtrs.f cgebak.f cgebal.f cgebd2.f cgebrd.f 
   cgecon.f cgeequ.f cgees.f  cgeesx.f cgeev.f  cgeevx.f 
   cgegs.f  cgegv.f  cgehd2.f cgehrd.f cgelq2.f cgelqf.f 
   cgels.f  cgelsd.f cgelss.f cgelsx.f cgelsy.f cgeql2.f cgeqlf.f cgeqp3.f 
   cgeqpf.f cgeqr2.f cgeqr2p.f cgeqrf.f cgeqrfp.f cgerfs.f cgerq2.f cgerqf.f 
   cgesc2.f cgesdd.f cgesv.f  cgesvd.f cgesvx.f cgetc2.f cgetf2.f cgetrf.f 
   cgetri.f cgetrs.f 
   cggbak.f cggbal.f cgges.f  cggesx.f cggev.f  cggevx.f cggglm.f 
   cgghrd.f cgglse.f cggqrf.f cggrqf.f 
   cggsvd.f cggsvp.f 
   cgtcon.f cgtrfs.f cgtsv.f  cgtsvx.f cgttrf.f cgttrs.f cgtts2.f chbev.f  
   chbevd.f chbevx.f chbgst.f chbgv.f  chbgvd.f chbgvx.f chbtrd.f 
   checon.f cheev.f  cheevd.f cheevr.f cheevx.f chegs2.f chegst.f 
   chegv.f  chegvd.f chegvx.f cherfs.f chesv.f  chesvx.f chetd2.f 
   chetf2.f chetrd.f 
   chetrf.f chetri.f chetrs.f chetrs2.f chgeqz.f chpcon.f chpev.f  chpevd.f 
   chpevx.f chpgst.f chpgv.f  chpgvd.f chpgvx.f chprfs.f chpsv.f  
   chpsvx.f 
   chptrd.f chptrf.f chptri.f chptrs.f chsein.f chseqr.f clabrd.f 
   clacgv.f clacon.f clacn2.f clacp2.f clacpy.f clacrm.f clacrt.f cladiv.f 
   claed0.f claed7.f claed8.f 
   claein.f claesy.f claev2.f clags2.f clagtm.f 
   clahef.f clahqr.f 
   clahrd.f clahr2.f claic1.f clals0.f clalsa.f clalsd.f clangb.f clange.f clangt.f 
   clanhb.f clanhe.f 
   clanhp.f clanhs.f clanht.f clansb.f clansp.f clansy.f clantb.f 
   clantp.f clantr.f clapll.f clapmt.f clarcm.f claqgb.f claqge.f 
   claqhb.f claqhe.f claqhp.f claqp2.f claqps.f claqsb.f 
   claqr0.f claqr1.f claqr2.f claqr3.f claqr4.f claqr5.f 
   claqsp.f claqsy.f clar1v.f clar2v.f ilaclr.f ilaclc.f 
   clarf.f  clarfb.f clarfg.f clarfgp.f clarft.f 
   clarfx.f clargv.f clarnv.f clarrv.f clartg.f clartv.f 
   clarz.f  clarzb.f clarzt.f clascl.f claset.f clasr.f  classq.f 
   claswp.f clasyf.f clatbs.f clatdf.f clatps.f clatrd.f clatrs.f clatrz.f 
   clatzm.f clauu2.f clauum.f cpbcon.f cpbequ.f cpbrfs.f cpbstf.f cpbsv.f  
   cpbsvx.f cpbtf2.f cpbtrf.f cpbtrs.f cpocon.f cpoequ.f cporfs.f 
   cposv.f  cposvx.f cpotf2.f cpotrf.f cpotri.f cpotrs.f cpstrf.f cpstf2.f 
   cppcon.f cppequ.f cpprfs.f cppsv.f  cppsvx.f cpptrf.f cpptri.f cpptrs.f 
   cptcon.f cpteqr.f cptrfs.f cptsv.f  cptsvx.f cpttrf.f cpttrs.f cptts2.f 
   crot.f   cspcon.f cspmv.f  cspr.f   csprfs.f cspsv.f  
   cspsvx.f csptrf.f csptri.f csptrs.f csrscl.f cstedc.f 
   cstegr.f cstein.f csteqr.f csycon.f csymv.f  
   csyr.f   csyrfs.f csysv.f  csysvx.f csytf2.f csytrf.f csytri.f 
   csytri2.f csytri2x.f csyswapr.f
   csytrs.f csytrs2.f csyconv.f ctbcon.f ctbrfs.f ctbtrs.f ctgevc.f ctgex2.f 
   ctgexc.f ctgsen.f ctgsja.f ctgsna.f ctgsy2.f ctgsyl.f ctpcon.f 
   ctprfs.f ctptri.f 
   ctptrs.f ctrcon.f ctrevc.f ctrexc.f ctrrfs.f ctrsen.f ctrsna.f 
   ctrsyl.f ctrti2.f ctrtri.f ctrtrs.f ctzrqf.f ctzrzf.f cung2l.f cung2r.f 
   cungbr.f cunghr.f cungl2.f cunglq.f cungql.f cungqr.f cungr2.f 
   cungrq.f cungtr.f cunm2l.f cunm2r.f cunmbr.f cunmhr.f cunml2.f 
   cunmlq.f cunmql.f cunmqr.f cunmr2.f cunmr3.f cunmrq.f cunmrz.f 
   cunmtr.f cupgtr.f cupmtr.f icmax1.f scsum1.f cstemr.f 
   chfrk.f ctfttp.f clanhf.f cpftrf.f cpftri.f cpftrs.f ctfsm.f ctftri.f 
   ctfttr.f ctpttf.f ctpttr.f ctrttf.f ctrttp.f 
   cgeequb.f cgbequb.f csyequb.f cpoequb.f cheequb.f
   cbbcsd.f clapmr.f cunbdb.f cuncsd.f )

set(CXLASRC     cgesvxx.f cgerfsx.f cla_gerfsx_extended.f cla_geamv.f 
   cla_gercond_c.f cla_gercond_x.f cla_rpvgrw.f 
   csysvxx.f csyrfsx.f cla_syrfsx_extended.f cla_syamv.f 
   cla_syrcond_c.f cla_syrcond_x.f cla_syrpvgrw.f 
   cposvxx.f cporfsx.f cla_porfsx_extended.f 
   cla_porcond_c.f cla_porcond_x.f cla_porpvgrw.f 
   cgbsvxx.f cgbrfsx.f cla_gbrfsx_extended.f cla_gbamv.f 
   cla_gbrcond_c.f cla_gbrcond_x.f cla_gbrpvgrw.f 
   chesvxx.f cherfsx.f cla_herfsx_extended.f cla_heamv.f 
   cla_hercond_c.f cla_hercond_x.f cla_herpvgrw.f 
   cla_lin_berr.f clarscl2.f clascl2.f cla_wwaddw.f)

set(ZCLASRC cpotrs.f cgetrs.f cpotrf.f cgetrf.f) 

set(DLASRC 
   dgbbrd.f dgbcon.f dgbequ.f dgbrfs.f dgbsv.f  
   dgbsvx.f dgbtf2.f dgbtrf.f dgbtrs.f dgebak.f dgebal.f dgebd2.f 
   dgebrd.f dgecon.f dgeequ.f dgees.f  dgeesx.f dgeev.f  dgeevx.f 
   dgegs.f  dgegv.f  dgehd2.f dgehrd.f dgelq2.f dgelqf.f 
   dgels.f  dgelsd.f dgelss.f dgelsx.f dgelsy.f dgeql2.f dgeqlf.f 
   dgeqp3.f dgeqpf.f dgeqr2.f dgeqr2p.f dgeqrf.f dgeqrfp.f dgerfs.f dgerq2.f dgerqf.f

=== src/Makefile ===
include ../make.inc

#######################################################################
#  This is the makefile to create a library for LAPACK.
#  The files are organized as follows:
#       ALLAUX -- Auxiliary routines called from all precisions
#       ALLXAUX -- Auxiliary routines called from all precisions but
#                  only from routines using extra precision.
#       SCLAUX -- Auxiliary routines called from both REAL and COMPLEX
#       DZLAUX -- Auxiliary routines called from both DOUBLE PRECISION
#                 and COMPLEX*16
#       SLASRC -- Single precision real LAPACK routines
#       SXLASRC -- Single precision real LAPACK routines using extra
#                  precision.
#       CLASRC -- Single precision complex LAPACK routines
#       CXLASRC -- Single precision complex LAPACK routines using extra
#                  precision.
#       DLASRC -- Double precision real LAPACK routines
#       DXLASRC -- Double precision real LAPACK routines using extra
#                  precision.
#       ZLASRC -- Double precision complex LAPACK routines
#       ZXLASRC -- Double precision complex LAPACK routines using extra
#                  precision.
#
#  The library can be set up to include routines for any combination
#  of the four precisions.  To create or add to the library, enter make
#  followed by one or more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The library is called
#       lapack.a
#  and is created at the next higher directory level.
#
#  To remove the object files after the library is created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#  ***Note***
#  The functions lsame, second, dsecnd, slamch, and dlamch may have
#  to be installed before compiling the library.  Refer to the
#  installation guide, LAPACK Working Note 41, for instructions.
#
#######################################################################

ALLAUX = ilaenv.o ieeeck.o lsamen.o xerbla.o xerbla_array.o iparmq.o	\
    ilaprec.o ilatrans.o ilauplo.o iladiag.o chla_transtype.o \
    ../INSTALL/ilaver.o ../INSTALL/lsame.o ../INSTALL/slamch.o

ALLXAUX =

SCLAUX = \
   sbdsdc.o \
   sbdsqr.o sdisna.o slabad.o slacpy.o sladiv.o slae2.o  slaebz.o \
   slaed0.o slaed1.o slaed2.o slaed3.o slaed4.o slaed5.o slaed6.o \
   slaed7.o slaed8.o slaed9.o slaeda.o slaev2.o slagtf.o \
   slagts.o slamrg.o slanst.o \
   slapy2.o slapy3.o slarnv.o \
   slarra.o slarrb.o slarrc.o slarrd.o slarre.o slarrf.o slarrj.o \
   slarrk.o slarrr.o slaneg.o \
   slartg.o slaruv.o slas2.o  slascl.o \
   slasd0.o slasd1.o slasd2.o slasd3.o slasd4.o slasd5.o slasd6.o \
   slasd7.o slasd8.o slasda.o slasdq.o slasdt.o \
   slaset.o slasq1.o slasq2.o slasq3.o slasq4.o slasq5.o slasq6.o \
   slasr.o  slasrt.o slassq.o slasv2.o spttrf.o sstebz.o sstedc.o \
   ssteqr.o ssterf.o slaisnan.o sisnan.o \
   slartgp.o slartgs.o \
    ../INSTALL/second_$(TIMER).o

DZLAUX = \
   dbdsdc.o \
   dbdsqr.o ddisna.o dlabad.o dlacpy.o dladiv.o dlae2.o  dlaebz.o \
   dlaed0.o dlaed1.o dlaed2.o dlaed3.o dlaed4.o dlaed5.o dlaed6.o \
   dlaed7.o dlaed8.o dlaed9.o dlaeda.o dlaev2.o dlagtf.o \
   dlagts.o dlamrg.o dlanst.o \
   dlapy2.o dlapy3.o dlarnv.o \
   dlarra.o dlarrb.o dlarrc.o dlarrd.o dlarre.o dlarrf.o dlarrj.o \
   dlarrk.o dlarrr.o dlaneg.o \
   dlartg.o dlaruv.o dlas2.o  dlascl.o \
   dlasd0.o dlasd1.o dlasd2.o dlasd3.o dlasd4.o dlasd5.o dlasd6.o \
   dlasd7.o dlasd8.o dlasda.o dlasdq.o dlasdt.o \
   dlaset.o dlasq1.o dlasq2.o dlasq3.o dlasq4.o dlasq5.o dlasq6.o \
   dlasr.o  dlasrt.o dlassq.o dlasv2.o dpttrf.o dstebz.o dstedc.o \
   dsteqr.o dsterf.o dlaisnan.o disnan.o \
   dlartgp.o dlartgs.o \
   ../INSTALL/dlamch.o ../INSTALL/dsecnd_$(TIMER).o

SLASRC = \
   sgbbrd.o sgbcon.o sgbequ.o sgbrfs.o sgbsv.o  \
   sgbsvx.o sgbtf2.o sgbtrf.o sgbtrs.o sgebak.o sgebal.o sgebd2.o \
   sgebrd.o sgecon.o sgeequ.o sgees.o  sgeesx.o sgeev.o  sgeevx.o \
   sgegs.o  sgegv.o  sgehd2.o sgehrd.o sgelq2.o sgelqf.o \
   sgels.o  sgelsd.o sgelss.o sgelsx.o sgelsy.o sgeql2.o sgeqlf.o \
   sgeqp3.o sgeqpf.o sgeqr2.o sgeqr2p.o sgeqrf.o sgeqrfp.o sgerfs.o \
   sgerq2.o sgerqf.o sgesc2.o sgesdd.o sgesv.o  sgesvd.o sgesvx.o \
   sgetc2.o sgetf2.o sgetri.o \
   sggbak.o sggbal.o sgges.o  sggesx.o sggev.o  sggevx.o \
   sggglm.o sgghrd.o sgglse.o sggqrf.o \
   sggrqf.o sggsvd.o sggsvp.o sgtcon.o sgtrfs.o sgtsv.o  \
   sgtsvx.o sgttrf.o sgttrs.o sgtts2.o shgeqz.o \
   shsein.o shseqr.o slabrd.o slacon.o slacn2.o \
   slaein.o slaexc.o slag2.o  slags2.o slagtm.o slagv2.o slahqr.o \
   slahrd.o slahr2.o slaic1.o slaln2.o slals0.o slalsa.o slalsd.o \
   slangb.o slange.o slangt.o slanhs.o slansb.o slansp.o \
   slansy.o slantb.o slantp.o slantr.o slanv2.o \
   slapll.o slapmt.o \
   slaqgb.o slaqge.o slaqp2.o slaqps.o slaqsb.o slaqsp.o slaqsy.o \
   slaqr0.o slaqr1.o slaqr2.o slaqr3.o slaqr4.o slaqr5.o \
   slaqtr.o slar1v.o slar2v.o ilaslr.o ilaslc.o \
   slarf.o  slarfb.o slarfg.o slarfgp.o slarft.o slarfx.o slargv.o \
   slarrv.o slartv.o  \
   slarz.o  slarzb.o slarzt.o slaswp.o slasy2.o slasyf.o \
   slatbs.o slatdf.o slatps.o slatrd.o slatrs.o slatrz.o slatzm.o \
   slauu2.o slauum.o sopgtr.o sopmtr.o sorg2l.o sorg2r.o \
   sorgbr.o sorghr.o sorgl2.o sorglq.o sorgql.o sorgqr.o sorgr2.o \
   sorgrq.o sorgtr.o sorm2l.o sorm2r.o \
   sormbr.o sormhr.o sorml2.o sormlq.o sormql.o sormqr.o sormr2.o \
   sormr3.o sormrq.o sormrz.o sormtr.o spbcon.o spbequ.o spbrfs.o \
   spbstf.o spbsv.o  spbsvx.o \
   spbtf2.o spbtrf.o spbtrs.o spocon.o spoequ.o sporfs.o sposv.o  \
   sposvx.o spotf2.o spotrf.o spotri.o  spstrf.o spstf2.o \
   sppcon.o sppequ.o \
   spprfs.o sppsv.o  sppsvx.o spptrf.o spptri.o spptrs.o sptcon.o \
   spteqr.o sptrfs.o sptsv.o  sptsvx.o spttrs.o sptts2.o srscl.o  \
   ssbev.o  ssbevd.o ssbevx.o ssbgst.o ssbgv.o  ssbgvd.o ssbgvx.o \
   ssbtrd.o sspcon.o sspev.o  sspevd.o sspevx.o sspgst.o \
   sspgv.o  sspgvd.o sspgvx.o ssprfs.o sspsv.o  sspsvx.o ssptrd.o \
   ssptrf.o ssptri.o ssptrs.o sstegr.o sstein.o sstev.o  sstevd.o sstevr.o \
   sstevx.o ssycon.o ssyev.o  ssyevd.o ssyevr.o ssyevx.o ssygs2.o \
   ssygst.o ssygv.o  ssygvd.o ssygvx.o ssyrfs.o ssysv.o  ssysvx.o \
   ssytd2.o ssytf2.o ssytrd.o ssytrf.o ssytri.o ssytri2.o ssytri2x.o \
   ssyswapr.o ssytrs.o ssytrs2.o ssyconv.o stbcon.o \
   stbrfs.o stbtrs.o stgevc.o stgex2.o stgexc.o stgsen.o \
   stgsja.o stgsna.o stgsy2.o stgsyl.o stpcon.o stprfs.o stptri.o \
   stptrs.o \
   strcon.o strevc.o strexc.o strrfs.o strsen.o strsna.o strsyl.o \
   strti2.o strtri.o strtrs.o stzrqf.o stzrzf.o sstemr.o \
   slansf.o spftrf.o spftri.o spftrs.o ssfrk.o stfsm.o stftri.o stfttp.o \
   stfttr.o stpttf.o stpttr.o strttf.o strttp.o \
   sgejsv.o  sgesvj.o  sgsvj0.o  sgsvj1.o \
   sgeequb.o ssyequb.o spoequb.o sgbequb.o \
   sbbcsd.o slapmr.o sorbdb.o sorcsd.o

DSLASRC = spotrs.o sgetrs.o spotrf.o sgetrf.o 

SXLASRC = sgesvxx.o sgerfsx.o sla_gerfsx_extended.o sla_geamv.o		\
   sla_gercond.o sla_rpvgrw.o ssysvxx.o ssyrfsx.o			\
   sla_syrfsx_extended.o sla_syamv.o sla_syrcond.o sla_syrpvgrw.o	\
   sposvxx.o sporfsx.o sla_porfsx_extended.o sla_porcond.o		\
   sla_porpvgrw.o sgbsvxx.o sgbrfsx.o sla_gbrfsx_extended.o		\
   sla_gbamv.o sla_gbrcond.o sla_gbrpvgrw.o sla_lin_berr.o slarscl2.o	\
   slascl2.o sla_wwaddw.o

CLASRC = \
   cbdsqr.o cgbbrd.o cgbcon.o cgbequ.o cgbrfs.o cgbsv.o  cgbsvx.o \
   cgbtf2.o cgbtrf.o cgbtrs.o cgebak.o cgebal.o cgebd2.o cgebrd.o \
   cgecon.o cgeequ.o cgees.o  cgeesx.o cgeev.o  cgeevx.o \
   cgegs.o  cgegv.o  cgehd2.o cgehrd.o cgelq2.o cgelqf.o \
   cgels.o  cgelsd.o cgelss.o cgelsx.o cgelsy.o cgeql2.o cgeqlf.o cgeqp3.o \
   cgeqpf.o cgeqr2.o cgeqr2p.o cgeqrf.o cgeqrfp.o cgerfs.o \
   cgerq2.o cgerqf.o cgesc2.o cgesdd.o cgesv.o  cgesvd.o  \
   cgesvx.o cgetc2.o cgetf2.o cgetrf.o cgetri.o cgetrs.o \
   cggbak.o cggbal.o cgges.o  cggesx.o cggev.o  cggevx.o cggglm.o \
   cgghrd.o cgglse.o cggqrf.o cggrqf.o \
   cggsvd.o cggsvp.o \
   cgtcon.o cgtrfs.o cgtsv.o  cgtsvx.o cgttrf.o cgttrs.o cgtts2.o chbev.o  \
   chbevd.o chbevx.o chbgst.o chbgv.o  chbgvd.o chbgvx.o chbtrd.o \
   checon.o cheev.o  cheevd.o cheevr.o cheevx.o chegs2.o chegst.o \
   chegv.o  chegvd.o chegvx.o cherfs.o chesv.o  chesvx.o chetd2.o \
   chetf2.o chetrd.o \
   chetrf.o chetri.o chetrs.o chetrs2.o chgeqz.o chpcon.o chpev.o  chpevd.o \
   chpevx.o chpgst.o chpgv.o  chpgvd.o chpgvx.o chprfs.o chpsv.o  \
   chpsvx.o \
   chptrd.o chptrf.o chptri.o chptrs.o chsein.o chseqr.o clabrd.o \
   clacgv.o clacon.o clacn2.o clacp2.o clacpy.o clacrm.o clacrt.o cladiv.o \
   claed0.o claed7.o claed8.o \
   claein.o claesy.o claev2.o clags2.o clagtm.o \
   clahef.o clahqr.o \
   clahrd.o clahr2.o claic1.o clals0.o clalsa.o clalsd.o clangb.o clange.o clangt.o \
   clanhb.o clanhe.o \
   clanhp.o clanhs.o clanht.o clansb.o clansp.o clansy.o clantb.o \
   clantp.o clantr.o clapll.o clapmt.o clarcm.o claqgb.o claqge.o \
   claqhb.o claqhe.o claqhp.o claqp2.o claqps.o claqsb.o \
   claqr0.o claqr1.o claqr2.o claqr3.o claqr4.o claqr5.o \
   claqsp.o claqsy.o clar1v.o clar2v.o ilaclr.o ilaclc.o \
   clarf.o  clarfb.o clarfg.o clarft.o clarfgp.o \
   clarfx.o clargv.o clarnv.o clarrv.o clartg.o clartv.o \
   clarz.o  clarzb.o clarzt.o clascl.o claset.o clasr.o  classq.o \
   claswp.o clasyf.o clatbs.o clatdf.o clatps.o clatrd.o clatrs.o clatrz.o \
   clatzm.o clauu2.o clauum.o cpbcon.o cpbequ.o cpbrfs.o cpbstf.o cpbsv.o  \
   cpbsvx.o cpbtf2.o cpbtrf.o cpbtrs.o cpocon.o cpoequ.o cporfs.o \
   cposv.o  cposvx.o cpotf2.o cpotrf.o cpotri.o cpotrs.o cpstrf.o cpstf2.o \
   cppcon.o cppequ.o cpprfs.o cppsv.o  cppsvx.o cpptrf.o cpptri.o cpptrs.o \
   cptcon.o cpteqr.o cptrfs.o cptsv.o  cptsvx.o cpttrf.o cpttrs.o cptts2.o \
   crot.o   cspcon.o cspmv.o  cspr.o   csprfs.o cspsv.o  \
   cspsvx.o csptrf.o csptri.o csptrs.o csrscl.o cstedc.o \
   cstegr.o cstein.o csteqr.o csycon.o csymv.o \
   csyr.o   csyrfs.o csysv.o  csysvx.o csytf2.o csytrf.o csytri.o csytri2.o csytri2x.o \
   csyswapr.o csytrs.o csytrs2.o csyconv.o ctbcon.o ctbrfs.o ctbtrs.o ctgevc.o ctgex2.o \
   ctgexc.o ctgsen.o ctgsja.o ctgsna.o ctgsy2.o ctgsyl.o ctpcon.o \
   ctprfs.o ctptri.o \
   ctptrs.o ctrcon.o ctrevc.o ctrexc.o ctrrfs.o ctrsen.o ctrsna.o \
   ctrsyl.o ctrti2.o ctrtri.o ctrtrs.o ctzrqf.o ctzrzf.o cung2l.o cung2r.o \
   cungbr.o cunghr.o cungl2.o cunglq.o cungql.o cungqr.o cungr2.o \
   cungrq.o cungtr.o cunm2l.o cunm2r.o cunmbr.o cunmhr.o cunml2.o \
   cunmlq.o cunmql.o cunmqr.o cunmr2.o cunmr3.o cunmrq.o cunmrz.o \
   cunmtr.o cupgtr.o cupmtr.o icmax1.o scsum1.o cstemr.o \
   chfrk.o ctfttp.o clanhf.o cpftrf.o cpftri.o cpftrs.o ctfsm.o ctftri.o \
   ctfttr.o ctpttf.o ctpttr.o ctrttf.o ctrttp.o \
   cgeequb.o cgbequb.o csyequb.o cpoequb.o cheequb.o \
   cbbcsd.o clapmr.o cunbdb.o cuncsd.o

CXLASRC =    cgesvxx.o cgerfsx.o cla_gerfsx_extended.o cla_geamv.o \
   cla_gercond_c.o cla_gercond_x.o cla_rpvgrw.o \
   csysvxx.o csyrfsx.o cla_syrfsx_extended.o cla_syamv.o \
   cla_syrcond_c.o cla_syrcond_x.o cla_syrpvgrw.o \
   cposvxx.o cporfsx.o cla_porfsx_extended.o \
   cla_porcond_c.o cla_porcond_x.o cla_porpvgrw.o \
   cgbsvxx.o cgbrfsx.o cla_gbrfsx_extended.o cla_gbamv.o \
   cla_gbrcond_c.o cla_gbrcond_x.o cla_gbrpvgrw.o \
   chesvxx.o cherfsx.o cla_herfsx_extended.o cla_heamv.o \
   cla_hercond_c.o cla_hercond_x.o cla_herpvgrw.o \
   cla_lin_berr.o clarscl2.o clascl2.o cla_wwaddw.o

ZCLASRC = cpotrs.o cgetrs.o cpotrf.o cgetrf.o 

DLASRC = \
   dgbbrd.o dgbcon.o dgbequ.o dgbrfs.o dgbsv.o  \
   dgbsvx.o dgbtf2.o dgbtrf.o dgbtrs.o dgebak.o dgebal.o dgebd2.o \
   dgebrd.o dgecon.o dgeequ.o dgees.o  dgeesx.o dgeev.o  dgeevx.o \
   dgegs.o  dgegv.o  dgehd2.o dgehrd.o dgelq2.o dgelqf.o \

=== testing/EIG/Makefile ===
include ../../make.inc

########################################################################
#  This is the makefile for the eigenvalue test program from LAPACK.
#  The test files are organized as follows:
#
#     AEIGTST -- Auxiliary test routines used in all precisions
#     SCIGTST -- Auxiliary test routines used in REAL and COMPLEX
#     DZIGTST -- Auxiliary test routines used in DOUBLE PRECISION and
#                COMPLEX*16
#     SEIGTST -- Single precision real test routines
#     CEIGTST -- Single precision complex test routines
#     DEIGTST -- Double precision real test routines
#     ZEIGTST -- Double precision complex test routines
#
#  Test programs can be generated for all or some of the four different
#  precisions.  Enter make followed by one or more of the data types
#  desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates all four test programs.
#  The executable files are called
#       xeigtsts, xeigtstd, xeigtstc, and xeigtstz
#  and are created in the next higher directory level.
#
#  To remove the object files after the executable files have been
#  created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
########################################################################

AEIGTST = \
   alahdg.o \
   alasum.o \
   alasvm.o \
   alareq.o \
   ilaenv.o \
   xerbla.o \
   xlaenv.o \
   chkxer.o

SCIGTST = slafts.o slahd2.o slasum.o slatb9.o sstech.o sstect.o \
   ssvdch.o ssvdct.o ssxt1.o

SEIGTST = schkee.o \
   sbdt01.o sbdt02.o sbdt03.o \
   schkbb.o schkbd.o schkbk.o schkbl.o schkec.o \
   schkgg.o schkgk.o schkgl.o schkhs.o schksb.o schkst.o \
   sckcsd.o sckglm.o sckgqr.o sckgsv.o scklse.o scsdts.o \
   sdrges.o sdrgev.o sdrgsx.o sdrgvx.o \
   sdrvbd.o sdrves.o sdrvev.o sdrvgg.o sdrvsg.o \
   sdrvst.o sdrvsx.o sdrvvx.o \
   serrbd.o serrec.o serred.o serrgg.o serrhs.o serrst.o \
   sget02.o sget10.o sget22.o sget23.o sget24.o sget31.o \
   sget32.o sget33.o sget34.o sget35.o sget36.o \
   sget37.o sget38.o sget39.o sget51.o sget52.o sget53.o \
   sget54.o sglmts.o sgqrts.o sgrqts.o sgsvts.o \
   shst01.o slarfy.o slarhs.o slatm4.o slctes.o slctsx.o slsets.o sort01.o \
   sort03.o ssbt21.o ssgt01.o sslect.o sspt21.o sstt21.o \
   sstt22.o ssyt21.o ssyt22.o

CEIGTST = cchkee.o \
   cbdt01.o cbdt02.o cbdt03.o \
   cchkbb.o cchkbd.o cchkbk.o cchkbl.o cchkec.o \
   cchkgg.o cchkgk.o cchkgl.o cchkhb.o cchkhs.o cchkst.o \
   cckcsd.o cckglm.o cckgqr.o cckgsv.o ccklse.o ccsdts.o \
   cdrges.o cdrgev.o cdrgsx.o cdrgvx.o \
   cdrvbd.o cdrves.o cdrvev.o cdrvgg.o cdrvsg.o \
   cdrvst.o cdrvsx.o cdrvvx.o \
   cerrbd.o cerrec.o cerred.o cerrgg.o cerrhs.o cerrst.o \
   cget02.o cget10.o cget22.o cget23.o cget24.o \
   cget35.o cget36.o cget37.o cget38.o cget51.o cget52.o \
   cget54.o cglmts.o cgqrts.o cgrqts.o cgsvts.o \
   chbt21.o chet21.o chet22.o chpt21.o chst01.o \
   clarfy.o clarhs.o clatm4.o clctes.o clctsx.o clsets.o csbmv.o \
   csgt01.o cslect.o \
   cstt21.o cstt22.o cunt01.o cunt03.o

DZIGTST = dlafts.o dlahd2.o dlasum.o dlatb9.o dstech.o dstect.o \
   dsvdch.o dsvdct.o dsxt1.o

DEIGTST = dchkee.o \
   dbdt01.o dbdt02.o dbdt03.o \
   dchkbb.o dchkbd.o dchkbk.o dchkbl.o dchkec.o \
   dchkgg.o dchkgk.o dchkgl.o dchkhs.o dchksb.o dchkst.o \
   dckcsd.o dckglm.o dckgqr.o dckgsv.o dcklse.o dcsdts.o \
   ddrges.o ddrgev.o ddrgsx.o ddrgvx.o \
   ddrvbd.o ddrves.o ddrvev.o ddrvgg.o ddrvsg.o \
   ddrvst.o ddrvsx.o ddrvvx.o \
   derrbd.o derrec.o derred.o derrgg.o derrhs.o derrst.o \
   dget02.o dget10.o dget22.o dget23.o dget24.o dget31.o \
   dget32.o dget33.o dget34.o dget35.o dget36.o \
   dget37.o dget38.o dget39.o dget51.o dget52.o dget53.o \
   dget54.o dglmts.o dgqrts.o dgrqts.o dgsvts.o \
   dhst01.o dlarfy.o dlarhs.o dlatm4.o dlctes.o dlctsx.o dlsets.o dort01.o \
   dort03.o dsbt21.o dsgt01.o dslect.o dspt21.o dstt21.o \
   dstt22.o dsyt21.o dsyt22.o

ZEIGTST = zchkee.o \
   zbdt01.o zbdt02.o zbdt03.o \
   zchkbb.o zchkbd.o zchkbk.o zchkbl.o zchkec.o \
   zchkgg.o zchkgk.o zchkgl.o zchkhb.o zchkhs.o zchkst.o \
   zckcsd.o zckglm.o zckgqr.o zckgsv.o zcklse.o zcsdts.o \
   zdrges.o zdrgev.o zdrgsx.o zdrgvx.o \
   zdrvbd.o zdrves.o zdrvev.o zdrvgg.o zdrvsg.o \
   zdrvst.o zdrvsx.o zdrvvx.o \
   zerrbd.o zerrec.o zerred.o zerrgg.o zerrhs.o zerrst.o \
   zget02.o zget10.o zget22.o zget23.o zget24.o \
   zget35.o zget36.o zget37.o zget38.o zget51.o zget52.o \
   zget54.o zglmts.o zgqrts.o zgrqts.o zgsvts.o \
   zhbt21.o zhet21.o zhet22.o zhpt21.o zhst01.o \
   zlarfy.o zlarhs.o zlatm4.o zlctes.o zlctsx.o zlsets.o zsbmv.o \
   zsgt01.o zslect.o \
   zstt21.o zstt22.o zunt01.o zunt03.o

all: single complex double complex16

single: ../xeigtsts
complex: ../xeigtstc
double: ../xeigtstd
complex16: ../xeigtstz

../xeigtsts: $(SEIGTST) $(SCIGTST) $(AEIGTST) ; \
          $(LOADER) $(LOADOPTS) -o xeigtsts \
          $(SEIGTST) $(SCIGTST) $(AEIGTST) ../../$(TMGLIB) \
	  ../../$(LAPACKLIB) $(BLASLIB) && mv xeigtsts $@

../xeigtstc: $(CEIGTST) $(SCIGTST) $(AEIGTST) ; \
          $(LOADER) $(LOADOPTS) -o xeigtstc \
          $(CEIGTST) $(SCIGTST) $(AEIGTST) ../../$(TMGLIB) \
	  ../../$(LAPACKLIB) $(BLASLIB) && mv xeigtstc $@

../xeigtstd: $(DEIGTST) $(DZIGTST) $(AEIGTST) ; \
          $(LOADER) $(LOADOPTS) -o xeigtstd \
          $(DEIGTST) $(DZIGTST) $(AEIGTST) ../../$(TMGLIB) \
	  ../../$(LAPACKLIB) $(BLASLIB) && mv xeigtstd $@

../xeigtstz: $(ZEIGTST) $(DZIGTST) $(AEIGTST) ; \
          $(LOADER) $(LOADOPTS) -o xeigtstz \
          $(ZEIGTST) $(DZIGTST) $(AEIGTST) ../../$(TMGLIB) \
	  ../../$(LAPACKLIB) $(BLASLIB) && mv xeigtstz $@

$(AEIGTST): $(FRC)
$(SCIGTST): $(FRC)
$(DZIGTST): $(FRC)
$(SEIGTST): $(FRC)
$(CEIGTST): $(FRC)
$(DEIGTST): $(FRC)
$(ZEIGTST): $(FRC)

FRC:
	@FRC=$(FRC)

clean:
	rm -f *.o

schkee.o: schkee.f
	$(FORTRAN) $(DRVOPTS) -c $< -o $@
dchkee.o: dchkee.f
	$(FORTRAN) $(DRVOPTS) -c $< -o $@
cchkee.o: cchkee.f
	$(FORTRAN) $(DRVOPTS) -c $< -o $@
zchkee.o: zchkee.f
	$(FORTRAN) $(DRVOPTS) -c $< -o $@

.f.o : ; $(FORTRAN) $(OPTS) -c $< -o $@

=== debian/changelog ===
lapack (3.3.0-3) unstable; urgency=low

  * Upload in unstable.
  * postrm-has-useless-call-to-ldconfig and
    postinst-has-useless-call-to-ldconfig removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Feb 2011 22:06:19 +0100

lapack (3.3.0-2) experimental; urgency=low

  * Incorporate the modifications of Laurent's NMU (Closes: #586315)
  * Fix a minor typo in the manpage of zggev. Thanks to Bastien Roucaries
    (Closes: #593705)
  * Remove the old stuff about gfortran in the description
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Dec 2010 00:09:45 +0100

lapack (3.3.0-1) experimental; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 13 Dec 2010 00:31:20 +0100

lapack (3.2.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Really remove alternatives for all packages during removal (Closes: #586315)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 23 Nov 2010 01:48:20 +0100

lapack (3.2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Correctly remove alternative during package removal (Closes: #586315)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 20 Nov 2010 18:42:36 +0100

lapack (3.2.2-1) unstable; urgency=low

  * New upstream release
  * Change the order of the dependencies (Closes: #588175)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 Jul 2010 22:03:43 +0200

lapack (3.2.1-8) unstable; urgency=low

  * Explicit minimal dependency against blas added (Closes: #579463)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Apr 2010 00:32:26 +0200

lapack (3.2.1-7) unstable; urgency=low

  * The path to blas has changed (Closes: #576931)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 08 Apr 2010 13:59:26 +0200

lapack (3.2.1-6) unstable; urgency=low

  *  Remove the old alternatives

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Apr 2010 23:58:40 +0200

lapack (3.2.1-5) unstable; urgency=low

  * Upload into unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Apr 2010 10:22:20 +0200

lapack (3.2.1-4) experimental; urgency=low

  * liblapack_pic.a is now also handle with the update-alternatives system

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Mar 2010 18:35:23 +0100

lapack (3.2.1-3) experimental; urgency=low

  * Standards-Version updated to version 3.8.4
  * Package moved from pkg-scicomp to Debian Science
  * Libraries are now handled with update-alternatives
    See: http://wiki.debian.org/DebianScience/LinearAlgebraLibraries

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Mar 2010 15:22:32 +0100

lapack (3.2.1-2) unstable; urgency=low

  * Change of my email address since I am now DD
  * Standards-Version updated to 3.8.3
  * DM-Upload-Allowed removed
  * cleanup in the uploader since I am pretty much the last one active 

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Oct 2009 22:34:32 +0200

lapack (3.2.1-1) unstable; urgency=low

  * New upstream release 

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 04 May 2009 10:26:22 +0200

lapack (3.2.0-3) unstable; urgency=low

  * debian/rules, liblapack-doc.manpages: Install man pages of the API
    functions in /usr/share/man/man3 using .3lapack as extension.  This
    should completely avoid clashes with other packages.  Closes: #520460.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Mar 2009 18:40:03 +0100

lapack (3.2.0-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Upload to unstable
  * debian/control: Bump Standards-Version to 3.8.1 (no changes needed)

  * debian/control, debian/compat:  Bump build-dependency and compatibility
    level to debhelper >= 7 (version 4 is now deprecated)

  * debian/patches/pic.patch: Drop this patch, since it interferes with
    the way the OPTS variable must be set, on a per-architecture basis
  * debian/control: As a consequence of the above, drop the
    build-dependency on cdbs
  * debian/rules: Fix the building/cleaning of make.inc and
    testing/Makefile files, which were being left behind after running
    debian/rules clean

  [ Sylvestre Ledru ]
  * typo fixed in debian/rules

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 14 Mar 2009 12:37:59 +0100

lapack (3.2.0-1) experimental; urgency=low

  [ Sylvestre Ledru ]
  * New upstream version
  * Repacking script updated (download separately the manpages)
  * Patch to enable the pic option added
  * misc depends added (to make lintian happy)

  [ Rafael Laboissiere ]
  * debian/watch: Force the use of PASV by ftp
  * debian/control:
    + Use DM-DM-Upload-Allowed field instead of XS-DM-Upload-Allowed
    + Add myself to the list of Uploaders
  * debian/orig-tar.sh: Include the LUG files into the generated tarball
  * debian/rules: Call web2png with -d option, such that original GIF, as
    well as the *.bak files are deleted when adding the LUG files to the
    tarball

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 07 Jan 2009 12:07:55 +0000

lapack (3.1.1-6) unstable; urgency=low

  * Timing tests removed (advice from upstream)
  * "set -e" added to liblapack3gf.config to make lintian happy
  * Many fixes in the man pages (makes lapack lintian free now)
  * Empty manpage zbcon removed

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Thu, 30 Oct 2008 10:41:53 +0100

lapack (3.1.1-5) unstable; urgency=low

  * rename manpage lsame & xerbla to lsame-lapack & xerblas-lapack to
    avoid duplicate man page with libblas-doc (Closes: #500660)
  * use dh_installman instead of dh_installmanpages
  * Duplicate on liblapack-test.1 removed

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 30 Sep 2008 23:16:04 +0200

lapack (3.1.1-4) unstable; urgency=low

  * manpages are now installed (Closes: #500225)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Fri, 26 Sep 2008 17:34:05 +0200

lapack (3.1.1-3) unstable; urgency=low

  * Typos fixed in the manpages (Closes: #410309)


=== debian/control ===
Source: lapack
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:  Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), gfortran, libblas-dev (>= 1.2-7)
Standards-Version: 3.9.1
Homepage: http://www.netlib.org/lapack/
Vcs-Svn: svn://svn.debian.org/svn/pkg-scicomp/lapack/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-scicomp/lapack/

Package: liblapack3gf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf | debconf-2.0
Provides: liblapack.so.3gf
Conflicts: lapack99
Replaces: lapack99
Description: library of linear algebra routines 3 - shared version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: liblapack-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblapack3gf (= ${binary:Version}),
 libblas-dev | libatlas-base-dev | libblas-3gf.so
Provides: liblapack-3gf.so
Conflicts: lapack99-dev, lapack-dev, liblapack-3.so
Replaces: lapack99-dev, lapack-dev, liblapack-3.so
Description: library of linear algebra routines 3 - static version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: liblapack-pic
Section: libdevel
Architecture: any
Conflicts: lapack-pic, lapack3-pic
Replaces: lapack-pic, lapack3-pic
Depends: ${misc:Depends}, liblapack3gf (= ${binary:Version}),
 libatlas-base-dev | libblas-dev | libblas-3gf.so
Description: library of linear algebra routines 3 - static PIC version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 Normally one would want to use non-PIC code for static linking.  In
 this case, install liblapack-dev.  This package is provided for other
 packages, such as atlas, needing access to PIC versions of the lapack
 objects in their own build process.

Package: liblapack-test
Section: libdevel
Architecture: any
Conflicts: lapack-test,lapack3-test
Replaces: lapack-test,lapack3-test
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library of linear algebra routines 3 - testing programs
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 These testing programs have been run against the
 shared library in the lapack package.  The results have been
 collected in the files test_results.  These
 programs are provided separately here so that the user can
 test and compare alternate versions of the lapack libraries,
 such as those provided by the atlas packages, and the lapack99
 package.

Package: liblapack-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: lapack-doc,lapack3-doc
Replaces: lapack-doc,lapack3-doc
Description: library of linear algebra routines 3 - documentation
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains manual pages for the routines, a
 "Quick-Reference" guide, release notes, a frequently asked
 questions document, and a copy of the Lapack User's Guide
 manual in html format.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=2

SO:=3gf
MN:=0
VERS:=$(SO).$(MN)

GCC:=gcc

ARCH:=$(shell dpkg --print-architecture)
F77:=gfortran
FOPTS:= #-ff90
#OPTOPTS:=-g
#UNROLL:=
OPTOPTS:=-g -O3
UNROLL:=-funroll-all-loops
ifneq (,$(filter $(ARCH), arm armel))
  OPTOPTS:=-g -O0
  UNROLL:=
endif

ifneq (,$(filter $(ARCH), m68k))
  #FOPTS:=-ffloat-store
  UNROLL:=
endif

ifeq ($(ARCH),alpha)
  FOPTS:=-mieee
endif

ifeq ($(ARCH),s390)
  OPTOPTS:=-g -O0
endif

ifneq (,$(filter $(ARCH), none))
  export ignore_testing_failures = -
endif

#
#
# Add-on documentation from upstream
#
#


debian/lapackqref.ps debian/faq.html:
	cd $(@D) && wget -N ftp://ftp.netlib.org/lapack/$(@F)

debian/release_notes.html:
	cd $(@D) && wget -N ftp://ftp.netlib.org/lapack/$(@F)
	cat $@ | sed -e "s,/lapack/html/,,g" \
		     -e "s,errata.lug\",errata.lug.gz\",1" \
		     -e "s,installation.hints\",installation.hints.gz\",1" >tmp
	mv tmp $@

MF:=$(shell find man -type f)
MANEXT:=3lapack
MF3:=$(subst .l,.$(MANEXT),$(MF))
man:
	cd debian && wget -N ftp://ftp.netlib.org/lapack/manpages.tgz
	tar zxf debian/manpages.tgz
	rm -rf debian/manpages.tgz blas/man

%.$(MANEXT): %.l
	cat $< | sed "s,^.TH  *\([^ ]*\)  *.  *\(.*\),.TH \1 $(MANEXT) \2,1" >$@
	@echo Converted $< to $@, diff:
	diff -u $< $@ || true

debian/errata.lug debian/installation.hints:
	cd $(@D) && wget -N ftp://ftp.netlib.org/lapack/html/$(@F)

lug/index.html:
	mkdir -p $(@D)
	cd $(@D) && \
		wget -r -N --no-parent -nH --cut-dirs=2 ftp://ftp.netlib.org/lapack/lug/
	cd $(@D) && \
		wget -r -N --no-parent -nH --cut-dirs=2 -A gif ftp://ftp.netlib.org/utk/icons/
	cd $(@D) && ( set -e ; \
		for i in $$(ls -1 *.html); do \
			cat $$i | sed "s,http://www.netlib.org/utk/icons/,,g" >tmp && mv tmp $$i ; \
		done )
	cd $(@D) && web2png -a -d

doc: lug/index.html debian/lapackqref.ps man\
     debian/release_notes.html debian/errata.lug debian/installation.hints\
     debian/faq.html

#
#
# Configure
#
#

make.inc: install/make.inc.gfortran
	cat $< | sed -e "s,g77,$(F77),g" \
		     -e "s,\(^NOOPT  *=\),\1 \$$(PICOPTS) $(FOPTS),1" \
		     -e "s,-O3,\$$(PICOPTS) $(FOPTS) $(OPTOPTS),1" \
		     -e "s,\(^OPTS  *=\).*,\1 $(UNROLL) \$$(PICOPTS) $(OPTOPTS),1" \
		     -e "s,[^ ]*blas[^ ]*\.a,-lblas,1" \
		     -e "s,TIMER. *,#&," > $@
	echo "TIMER = INT_ETIME" >> $@

TIMEOUT:=1800

testing/Makefile.ori:
	cp testing/Makefile $@

testing/Makefile: testing/Makefile.ori
	cat $< | sed -e "s,\./x,$(ignore_testing_failures)../debian/trun $(TIMEOUT) ./x,g" >$@

#
#
# Build rules for libraries
#
#


liblapack_pic.a: make.inc testing/Makefile
	$(MAKE) cleanlib
	$(MAKE) lapack_install PICOPTS=-fPIC
	$(MAKE) lib        PICOPTS=-fPIC
	mv lapack_LINUX.a $@

liblapack.so.$(VERS): liblapack_pic.a libblas.so
	mkdir tmp
	cd tmp && ar x ../$<
# Cannot link against blas -- causes circular dependency in atlas packages.
	$(F77) -shared -Wl,-soname=liblapack.so.$(SO) -o $@ tmp/*.o  -L. -lblas
	rm -rf tmp

liblapack.so.$(SO): liblapack.so.$(VERS)
	ln -snf $< $@

liblapack.so: liblapack.so.$(SO)
	ln -snf $< $@

liblapack.a: make.inc testing/Makefile
	$(MAKE) cleanlib
	$(MAKE) lapack_install
	$(MAKE) lib
	mv lapack_LINUX.a $@

BF:=liblapack.a liblapack.so
build: $(BF) make.inc


#
#
# Testing rules
#
#

TB:=s d c z
TB:=$(addprefix tst,$(TB))
TB:=$(addprefix eig,$(TB)) $(addprefix lin,$(TB))
TB:=$(addprefix testing/x,$(TB))
TESF:=cbak cbal cbb cec ced cgbak cgbal cgd cgg cglm cgqr cgsv\
	clse cnep csb csep csg csvd ctest dbak dbal dbb dec ded\
	dgbak dgbal dgd dgg dglm dgqr dgsv dlse dnep dsb dsep dsg\
	dsvd dtest sbak sbal sbb sec sed sgbak sgbal sgd sgg sglm\
	sgqr sgsv slse snep ssb ssep ssg ssvd stest zbak zbal zbb\
	zec zed zgbak zgbal zgd zgg zglm zgqr zgsv zlse znep zsb\
	zsep zsg zsvd ztest

#
# Work around for alpha, cgqr test fails to converge
#
# Now fixed
#
# FIXME: filtering here has no effect; all tests are run.
#ifeq ($(ARCH),alpha)
#  TESF:=$(filter-out cgqr,$(TESF))
#endif

TESF:=$(addprefix testing/,$(addsuffix .out,$(TESF)))

libblas.so:
	cp -d /usr/lib/libblas/libblas.so.$(SO).* libblas.so

$(TB) $(TESF): libblas.so liblapack.so
	chmod +x debian/trun
	grep -q debian/trun testing/Makefile \
	    || sed -i -e "s,\./x,$(ignore_testing_failures)../debian/trun $(TIMEOUT) ./x,g" testing/Makefile
	$(ignore_testing_failures)LD_LIBRARY_PATH=$$(pwd):$$LD_LIBRARY_PATH \
	    $(MAKE) PICOPTS= \
		LLIB="-L $$(pwd) -llapack -lblas" lapack_testing & \
		j=$$! ;\
		tail -f --pid=$$j --retry $(TESF) & \
		wait $$j

$(subst testing,debian/test,$(TESF)):\
	debian/test/%: testing/%
	mkdir -m 777 -p $(@D)
	echo Test file $(@F) >$@
	cat $< >> $@

debian/test_results: $(subst testing,debian/test,$(TESF))
	echo "These libraries and tests were compiled with:" >$@
	$(F77) -v >>$@
	cat $^ >>$@

debian/liblapack3gf.templates: debian/test_results
	cp debian/main_templates $@
#	chmod +x debian/rawk
#	cat $^ | debian/rawk >>$@ ; j=$$? ; echo Warning level: $$j;\
		cat debian/liblapack3gf.config | sed "s,^STAT=.,STAT=$$j,1" >tmp && \
		mv tmp debian/liblapack3gf.config
#	cat $@ debian/liblapack3gf.config

#
#
# Install
#
#

debian/tmp/usr/lib/lapack/%: %
	dh_testdir
	dh_testroot

	install -m 755 -d $(@D)
	[ -L $* ] || install -m 644 $< $(@D)
	! [ -L $* ] || cp -d $< $@

$(addprefix debian/tmp/usr/lib/liblapack3gf/,$(subst testing/,,$(TB))): \
	debian/tmp/usr/lib/liblapack3gf/%: testing/%
	dh_testdir
	dh_testroot

	install -m 755 -d $(@D)
	install -m 755 $< $(@D)


IF:=$(addprefix liblapack.,a so so.$(SO) so.$(VERS)) liblapack_pic.a
IF:=$(addprefix debian/tmp/usr/lib/lapack/,$(IF))
IF:=$(IF) $(addprefix debian/tmp/usr/lib/liblapack3gf/,$(subst testing/,,$(TB)))

install: $(IF) $(MF3) debian/test_results debian/liblapack3gf.templates
# Delete the empty man page
	rm man/manl/zbcon.$(MANEXT)
	dh_testdir
	dh_testroot
	dh_movefiles


#
#
# Clean
#
#


clean:: make.inc
	dh_testdir
	dh_testroot
	rm -rf debian/*_stamp debian/*_results lib* testing/*out
	find man -name "*.$(MANEXT)" -exec rm {} \;
	rm -rf *.a install/test* debian/test/ debian/time/
	rm -f debian/test_results debian/liblapack3gf.templates
	rm -f testing/tmp

	touch TESTING/xlinfoo TESTING/xeigfoo  && $(MAKE) clean
	rm -f make.inc

	-[ -e testing/Makefile.ori ] \
		&& mv testing/Makefile.ori testing/Makefile

	dh_clean

#
#
# Package rules
#
#


# Build architecture-independent files here.
binary-indep: install
	dh_testdir -i
	dh_testroot -i
	rm -f debian/liblapack-doc/usr/share/doc/liblapack-doc/lug/index.html
	rm -f debian/liblapack-doc/usr/share/doc/liblapack-doc/lug/robots.txt
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i -pliblapack-doc
	dh_installchangelogs -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_makeshlibs -i -n
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installdebconf -a
	dh_installexamples -a
	dh_installman -a -pliblapack-test
	dh_installchangelogs -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -n -V "liblapack3gf | liblapack.so.3gf | libatlas3gf-base"
	dh_installdeb -a
	dh_shlibdeps -a -l $$(pwd)
	dh_gencontrol -a #-u"-Vg77=$(F77)"
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary \
	debian/lapackqref.ps debian/manpages.tgz lug/index.html \
	debian/release_notes.html debian/faq.html debian/errata.lug \
	debian/installation.hints  doc\
	build

=== debian/watch ===
version=3
# downloadurlmangle and filenamemangle are mandatory because the lapack website
# of the full version doesn't contain the version in the name
# Then, we get the right version from the lite version of lapack but we 
# download the full one.
opts=pasv \
ftp://netlib.org/lapack/ lapack-([\d\.]+)\.tgz debian debian/orig-tar.sh
